<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=http://hilbert.mat.uc.pt/~geothms/users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>

<center>
<h3 class="maketitle">Geometric theorems - Update the Prover Info</h3>
</center>

<hr/>



<?php
require('loginsub.php');
?>

<?php

// Obtêm os valores do formulário.
$pProverId       = $_POST['ProverId'];
$pName           = $_POST['Name'];
$pVersion        = $_POST['Version'];
$pDescription    = $_POST['Description'];
$pURL            = $_POST['URL'];
$pEmail          = $_POST['Email'];
$pDateSubmission = $_POST['DateSubmission'];


// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc())
  { $pName           = addslashes('$pName');
    $pVersion        = addslashes('$pVersion');
    $pDescription    = addslashes('$pDescription');
    $pURL            = addslashes('$pURL');	 
    $pEmail          = addslashes('$pEmail');
    $pDateSubmission = addslashes('$pDateSubmission');
  }

$sqlUpdateProver = 
    "UPDATE provers
        SET name           = '$pName',       
            version        = '$pVersion',
            description    = '$pDescription',   
            url            = '$pURL',
            email          = '$pEmail',      
            dateSubmission = '$pDateSubmission'
       WHERE
             proverId = '$pProverId'";

$resultadoUpdateProver = mysql_query($sqlUpdateProver,$ligacao);


if (!$resultadoUpdateProver) {
  echo 'Error - Prover Info not updated!';
 }
 else {
   // Vai tratar agora da inserção dos autores
   // Trata-se de um formulário com todos os campos escondidos
   // só o próximo passo é que trata da inserção de nova informação
   // Primeiro obtêm a identificação do Prover
   $sqlProverId = "SELECT proverId
                     FROM provers
                    WHERE name='$pName'
                      AND version='$pVersion'";

   $resultadoProverId = mysql_query($sqlProverId,$ligacao);

   $linhaProverId = mysql_fetch_assoc($resultadoProverId);
   $pProverId = $linhaProverId['proverId'];
   
   // Isto também pode ser feito com a função SQL, "LAST_INSERT" ???
   // !!!confirmar isto!!!

   // Vai, eventualmente, acrescentar um novo autor

   // Formulário com todos os campos "hidden"
   echo "<form enctype='multipart/form-data' action='insertProverAuthor.php' method='post'>";
   echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
   echo "<tr>";
   echo "<td  width='100%' align='left'><span class='ficha'>Prover Info Updated.</span></td>";
   echo "</tr>";
   echo "<tr>";
   // Toda a informação do Prover tem de ser passado para o processador do
   // formulários para a introdução de autores, embora como hidden.
   echo "<input type='hidden' name='ProverId' value='$pProverId'>";
   echo "<input type='hidden' name='Name' value='$pName'>";
   echo "<input type='hidden' name='Version' value='$pVersion'>";
   echo "<input type='hidden' name='Description' value='$pDescription'>";
   echo "<input type='hidden' name='URL' value='$pURL'>";
   echo "<input type='hidden' name='Email' value='$pEmail'>";
   echo "<input type='hidden' name='DateSubmission' value='$pDateSubmission'>";
   echo "<tr>";
   echo "<td width='100%' colspan='8' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Submit New Author info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
   echo "</tr>";
   echo "<tr>";
   echo "<td width='100%' align='right'><a href='../forms.php'>No more Authors to introduce -- Return to the forms page</a></td>";
   echo "</tr>";
   echo "</table>";
   echo "</form>";
 }
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
